Appearance
REST API: AI Call Center
2 endpoints.
GET /api/v1/rest/ai-calls
List AI Call Center calls
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
page | query | no | integer | |
per_page | query | no | integer | |
status | query | no | running | completed | transferred | closed | error | |
mode | query | no | sim | voice | sip | |
completed_only | query | no | boolean | Only calls that have ended |
created_since | query | no |
200 — Successful Response
json
{
"type": "object",
"additionalProperties": true,
"title": "Response List Ai Calls Api V1 Rest Ai Calls Get"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/rest/ai-calls/{call_id}
Get an AI Call Center call
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
call_id | path | yes | string |
200 — Successful Response
json
{
"type": "object",
"additionalProperties": true,
"title": "Response Get Ai Call Api V1 Rest Ai Calls Call Id Get"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}